Skip to main content
POST
/
v1
/
payments
curl --request POST \ --url https://api-sandbox.y.uno/v1/payments \ --header 'Content-Type: application/json' \ --header 'X-Idempotency-Key: <x-idempotency-key>' \ --data ' { "account_id": "YOUR_ACCOUNT_ID", "description": "Order #001", "country": "US", "merchant_order_id": "order-001", "amount": { "currency": "USD", "value": 10000 }, "customer_payer": { "id": "CUSTOMER_UUID", "first_name": "John", "last_name": "Doe", "email": "john.doe@example.com", "country": "US" }, "checkout": { "session": "CHECKOUT_SESSION_UUID" }, "payment_method": { "type": "CARD", "vaulted_token": "VAULTED_TOKEN_UUID", "detail": { "card": { "capture": true, "installments": 1 } } }, "additional_data": { "order": { "items": [ { "id": "prod-001", "name": "Product Name", "quantity": 1, "unit_amount": 100, "category": "electronics" } ] } } } '
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "merchant_order_id": "<string>",
  "description": "<string>",
  "country": "<string>",
  "amount": {
    "currency": "<string>",
    "value": 123
  },
  "payment_status": {
    "status": "CREATED",
    "transactions": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "status": "<string>",
        "type": "PURCHASE",
        "amount": {
          "currency": "<string>",
          "value": 123
        },
        "created_at": "2023-11-07T05:31:56Z"
      }
    ]
  },
  "created_at": "2023-11-07T05:31:56Z"
}

Headers

X-Idempotency-Key
string<uuid>
required

Unique UUID per request. Prevents duplicate processing on retries.

Body

application/json
account_id
string<uuid>
required
description
string
required
Required string length: 3 - 255
country
enum<string>
required

ISO 3166-1 alpha-2 country code

Available options:
AR,
BO,
BR,
CL,
CO,
CR,
EC,
SV,
GT,
HN,
MX,
NI,
PA,
PY,
PE,
US,
UY
merchant_order_id
string
required
Required string length: 3 - 255
amount
object
required
checkout
object
required
payment_method
object
required
customer_payer
object
additional_data
object
metadata
object[]
Maximum array length: 120

Response

Payment created

id
string<uuid>
account_id
string<uuid>
merchant_order_id
string
description
string
country
string
amount
object
payment_status
object
created_at
string<date-time>